<template>
	<button
		type="button"
		class="list-group-item list-group-item-action"
		:class="{ active: isActive }"
		@click="updateDetails"
	>
		Server #{{ server.id }}
	</button>
</template>

<script>
	import { eventBus } from '../../main';

	export default {
		props: {
			server: Object
		},
		computed: {
			isActive() {
				return this.server.id === eventBus.currentServer;
			}
		},
		methods: {
			updateDetails() {
				eventBus.currentServer = this.server.id;
				eventBus.$emit('updateDetails', this.server);
			}
		}
	}
</script>